[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
FYI: 82-at-check-6.patch
From: |
Akim Demaille |
Subject: |
FYI: 82-at-check-6.patch |
Date: |
16 Dec 2000 08:45:12 +0100 |
User-agent: |
Gnus/5.0807 (Gnus v5.8.7) XEmacs/21.1 (Channel Islands) |
Index: ChangeLog
from Akim Demaille <address@hidden>
* tests/atgeneral.m4 (AT_CHECK): Accept if-failed and
if-not-failed.
* tests/atspecific.m4 (AT_CHECK_CONFIGURE): Use it in order to
dump config.log when configure failed. Before, the log was
reported only on success.
Index: tests/atgeneral.m4
--- tests/atgeneral.m4 Fri, 15 Dec 2000 19:32:22 +0100 akim
(ace/b/19_atgeneral. 1.42 644)
+++ tests/atgeneral.m4 Fri, 15 Dec 2000 20:26:53 +0100 akim
(ace/b/19_atgeneral. 1.42 644)
@@ -433,21 +433,21 @@ m4_define([AT_CHECK],
( $1 ) >stdout 2>stderr
at_status=$?
$at_traceoff
-at_continue=:
+at_failed=false
dnl Check stderr.
m4_case([$4],
ignore, [cat stderr >&5],
experr, [AT_CLEANUP_FILE([experr])dnl
-$at_diff experr stderr >&5 || at_continue='exit 1'],
- [], [$at_diff empty stderr >&5 || at_continue='exit 1'],
- [echo $at_n "m4_patsubst([$4], [\([\"`$]\)], \\\1)$at_c" | $at_diff -
stderr >&5 || at_continue='exit 1'])
+$at_diff experr stderr >&5 || at_failed=:],
+ [], [$at_diff empty stderr >&5 || at_failed=:],
+ [echo $at_n "m4_patsubst([$4], [\([\"`$]\)], \\\1)$at_c" | $at_diff -
stderr >&5 || at_failed=:])
dnl Check stdout.
m4_case([$3],
ignore, [cat stdout >&5],
expout, [AT_CLEANUP_FILES([expout])dnl
-$at_diff expout stdout >&5 || at_continue='exit 1'],
- [], [$at_diff empty stdout >&5 || at_continue='exit 1'],
- [echo $at_n "m4_patsubst([$3], [\([\"`$]\)], \\\1)$at_c" | $at_diff -
stdout >&5 || at_continue='exit 1'])
+$at_diff expout stdout >&5 || at_failed=:],
+ [], [$at_diff empty stdout >&5 || at_failed=:],
+ [echo $at_n "m4_patsubst([$3], [\([\"`$]\)], \\\1)$at_c" | $at_diff -
stdout >&5 || at_failed=:])
dnl Check exit val.
case $at_status in
77) exit 77;;
@@ -456,8 +456,9 @@ m4_define([AT_CHECK],
[ *);;],
[ m4_default([$2], [0])) ;;
*) $at_verbose "Exit code was $at_status, expected $2" >&2
- at_continue='exit 1';;])
+ at_failed=:;;])
esac
-$at_continue
+AS_IFELSE($at_failed, [$5], [$6])
+$at_failed && exit 1
$at_traceon
])# AT_CHECK
Index: tests/atspecific.m4
--- tests/atspecific.m4 Tue, 12 Dec 2000 20:23:51 +0100 akim
(ace/b/24_atspecific 1.27 644)
+++ tests/atspecific.m4 Fri, 15 Dec 2000 20:28:19 +0100 akim
(ace/b/24_atspecific 1.27 644)
@@ -44,8 +44,8 @@ m4_define([AT_CHECK_CONFIGURE],
[AT_CLEANUP_FILE_IFELSE([config.hin],
[AT_CLEANUP_FILE(config.h)])dnl
AT_CLEANUP_FILES(config.log config.status config.cache)dnl
-AT_CHECK([top_srcdir=$top_srcdir ./configure], 0, ignore, [])
-test $at_verbose = echo && echo "--- config.log" && cat config.log])
+AT_CHECK([top_srcdir=$top_srcdir ./configure], 0, ignore, [],
+ [test $at_verbose = echo && echo "--- config.log" && cat config.log])])
# _AT_CHECK_AC_MACRO(AC-BODY, PRE-TESTS)
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- FYI: 82-at-check-6.patch,
Akim Demaille <=